# Makefile.in generated automatically by automake 1.2 from Makefile.am

# Copyright (C) 1994, 1995, 1996, 1997 Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy, distribute and modify it.


SHELL = /bin/sh

srcdir = @srcdir@
top_srcdir = @top_srcdir@
VPATH = @srcdir@
prefix = @prefix@
exec_prefix = @exec_prefix@
libexecdir = @libexecdir@
datadir = @datadir@
sysconfdir = @sysconfdir@
sharedstatedir = @sharedstatedir@
localstatedir = @localstatedir@
libdir = @libdir@
infodir = @infodir@
mandir = @mandir@
includedir = @includedir@
oldincludedir = /usr/include

pkgdatadir = $(datadir)/@PACKAGE@
pkglibdir = $(libdir)/@PACKAGE@
pkgincludedir = $(includedir)/@PACKAGE@

top_builddir = ..

ACLOCAL = @ACLOCAL@
AUTOCONF = @AUTOCONF@
AUTOMAKE = @AUTOMAKE@
AUTOHEADER = @AUTOHEADER@

INSTALL = @INSTALL@
INSTALL_PROGRAM = @INSTALL_PROGRAM@
INSTALL_DATA = @INSTALL_DATA@
INSTALL_SCRIPT = @INSTALL_SCRIPT@
transform = @program_transform_name@

NORMAL_INSTALL = true
PRE_INSTALL = true
POST_INSTALL = true
NORMAL_UNINSTALL = true
PRE_UNINSTALL = true
POST_UNINSTALL = true
CC = @CC@
CRYPTOBJS = @CRYPTOBJS@
LIBCRACK = @LIBCRACK@
LIBCRYPT = @LIBCRYPT@
LIBMATH = @LIBMATH@
LIBPAM = @LIBPAM@
LIBSKEY = @LIBSKEY@
LN_S = @LN_S@
MAKEINFO = @MAKEINFO@
PACKAGE = @PACKAGE@
RANLIB = @RANLIB@
VERSION = @VERSION@

AUTOMAKE_OPTIONS = foreign

# Watch out; note the difference between prefix & exec_prefix.
# Normally configure sets exec_prefix to root when prefix is /usr.

bindir = ${exec_prefix}/bin
sbindir = ${exec_prefix}/sbin
ubindir = ${prefix}/bin
usbindir = ${prefix}/sbin

bin_PROGRAMS = login
usbin_PROGRAMS =

# id and groups are from gnu, the rest is perhaps not important
# also suid programs are installed by hand.

suidbins = su
suidubins = passwd tconf

noinst_PROGRAMS = su passwd tconf

LDADD=../libmisc/libmisc.a ../lib/libshadow.a -L../../libsrp -lsrp

INCLUDES= -I$(top_srcdir)/lib -I../../libsrp

# These are to trick the linker to link only libcrypt statically

STATLINK = -Wl,-Bstatic
DYNLINK = -Wl,-Bdynamic

# Some tools need libcrypt.

login_LDADD = $(LDADD) @LIBCRYPT@ @LIBMATH@ @LIBSKEY@
passwd_LDADD = $(LDADD) @LIBCRYPT@ @LIBMATH@ @LIBCRACK@ @LIBPAM@
su_LDADD = $(LDADD) @LIBCRYPT@ @LIBMATH@ @LIBSKEY@
tconf_LDADD = $(LDADD) @LIBMATH@
mkinstalldirs = $(SHELL) $(top_srcdir)/../mkinstalldirs
CONFIG_HEADER = ../config.h
CONFIG_CLEAN_FILES = 
PROGRAMS =  $(bin_PROGRAMS) $(noinst_PROGRAMS) $(usbin_PROGRAMS)


DEFS = @DEFS@ -I. -I$(srcdir) -I..
CPPFLAGS = @CPPFLAGS@
LDFLAGS = @LDFLAGS@
LIBS = @LIBS@
login_SOURCES = login.c
login_OBJECTS =  login.o
login_DEPENDENCIES =  ../libmisc/libmisc.a ../lib/libshadow.a
login_LDFLAGS = 
su_SOURCES = su.c
su_OBJECTS =  su.o
su_DEPENDENCIES =  ../libmisc/libmisc.a ../lib/libshadow.a
su_LDFLAGS = 
passwd_SOURCES = passwd.c
passwd_OBJECTS =  passwd.o
passwd_DEPENDENCIES =  ../libmisc/libmisc.a ../lib/libshadow.a
passwd_LDFLAGS = 
tconf_SOURCES = tconf.c
tconf_OBJECTS =  tconf.o
tconf_DEPENDENCIES =  ../libmisc/libmisc.a ../lib/libshadow.a
tconf_LDFLAGS = 
CFLAGS = @CFLAGS@
COMPILE = $(CC) $(DEFS) $(INCLUDES) $(CPPFLAGS) $(CFLAGS)
LINK = $(CC) $(CFLAGS) $(LDFLAGS) -o $@
DIST_COMMON =  Makefile.am Makefile.in


DISTFILES = $(DIST_COMMON) $(SOURCES) $(HEADERS) $(TEXINFOS) $(EXTRA_DIST)

TAR = tar
GZIP = --best
SOURCES = login.c su.c passwd.c tconf.c
OBJECTS = login.o su.o passwd.o tconf.o

default: all

.SUFFIXES:
.SUFFIXES: .c .o
$(srcdir)/Makefile.in: Makefile.am $(top_srcdir)/configure.in $(ACLOCAL_M4) 
	cd $(top_srcdir) && $(AUTOMAKE) --foreign --include-deps src/Makefile

Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
	cd $(top_builddir) \
	  && CONFIG_FILES=$(subdir)/$@ CONFIG_HEADERS= $(SHELL) ./config.status


mostlyclean-binPROGRAMS:

clean-binPROGRAMS:
	test -z "$(bin_PROGRAMS)" || rm -f $(bin_PROGRAMS)

distclean-binPROGRAMS:

maintainer-clean-binPROGRAMS:

install-binPROGRAMS: $(bin_PROGRAMS)
	@$(NORMAL_INSTALL)
	$(mkinstalldirs) $(bindir)
	@list='$(bin_PROGRAMS)'; for p in $$list; do \
	  if test -f $$p; then \
	    echo "  $(INSTALL_PROGRAM) $$p $(bindir)/`echo $$p|sed '$(transform)'`"; \
	     $(INSTALL_PROGRAM) $$p $(bindir)/`echo $$p|sed '$(transform)'`; \
	  else :; fi; \
	done

uninstall-binPROGRAMS:
	$(NORMAL_UNINSTALL)
	list='$(bin_PROGRAMS)'; for p in $$list; do \
	  rm -f $(bindir)/`echo $$p|sed '$(transform)'`; \
	done

mostlyclean-noinstPROGRAMS:

clean-noinstPROGRAMS:
	test -z "$(noinst_PROGRAMS)" || rm -f $(noinst_PROGRAMS)

distclean-noinstPROGRAMS:

maintainer-clean-noinstPROGRAMS:

mostlyclean-usbinPROGRAMS:

clean-usbinPROGRAMS:
	test -z "$(usbin_PROGRAMS)" || rm -f $(usbin_PROGRAMS)

distclean-usbinPROGRAMS:

maintainer-clean-usbinPROGRAMS:

install-usbinPROGRAMS: $(usbin_PROGRAMS)
	@$(NORMAL_INSTALL)
	$(mkinstalldirs) $(usbindir)
	@list='$(usbin_PROGRAMS)'; for p in $$list; do \
	  if test -f $$p; then \
	    echo "  $(INSTALL_PROGRAM) $$p $(usbindir)/`echo $$p|sed '$(transform)'`"; \
	     $(INSTALL_PROGRAM) $$p $(usbindir)/`echo $$p|sed '$(transform)'`; \
	  else :; fi; \
	done

uninstall-usbinPROGRAMS:
	$(NORMAL_UNINSTALL)
	list='$(usbin_PROGRAMS)'; for p in $$list; do \
	  rm -f $(usbindir)/`echo $$p|sed '$(transform)'`; \
	done

.c.o:
	$(COMPILE) -c $<

mostlyclean-compile:
	rm -f *.o core

clean-compile:

distclean-compile:
	rm -f *.tab.c

maintainer-clean-compile:

login: $(login_OBJECTS) $(login_DEPENDENCIES)
	@rm -f login
	$(LINK) $(login_LDFLAGS) $(login_OBJECTS) $(login_LDADD) $(LIBS)

su: $(su_OBJECTS) $(su_DEPENDENCIES)
	@rm -f su
	$(LINK) $(su_LDFLAGS) $(su_OBJECTS) $(su_LDADD) $(LIBS)

passwd: $(passwd_OBJECTS) $(passwd_DEPENDENCIES)
	@rm -f passwd
	$(LINK) $(passwd_LDFLAGS) $(passwd_OBJECTS) $(passwd_LDADD) $(LIBS)

tconf: $(tconf_OBJECTS) $(tconf_DEPENDENCIES)
	@rm -f tconf
	$(LINK) $(tconf_LDFLAGS) $(tconf_OBJECTS) $(tconf_LDADD) $(LIBS)

tags: TAGS

ID: $(HEADERS) $(SOURCES)
	here=`pwd` && cd $(srcdir) && mkid -f$$here/ID $(SOURCES) $(HEADERS)

TAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES)
	tags=; \
	here=`pwd`; \
	test -z "$(ETAGS_ARGS)$(SOURCES)$(HEADERS)$$tags" \
	  || (cd $(srcdir) && etags $(ETAGS_ARGS) $$tags  $(SOURCES) $(HEADERS) -o $$here/TAGS)

mostlyclean-tags:

clean-tags:

distclean-tags:
	rm -f TAGS ID

maintainer-clean-tags:

distdir = $(top_builddir)/$(PACKAGE)-$(VERSION)/$(subdir)

subdir = src

distdir: $(DISTFILES)
	@for file in $(DISTFILES); do \
	  d=$(srcdir); \
	  test -f $(distdir)/$$file \
	  || ln $$d/$$file $(distdir)/$$file 2> /dev/null \
	  || cp -p $$d/$$file $(distdir)/$$file; \
	done
login.o login.lo: login.c ../config.h ../lib/rcsid.h ../lib/prototypes.h \
	../lib/faillog.h ../lib/defines.h ../lib/pwauth.h \
	../lib/getdef.h ../../libsrp/t_pwd.h
passwd.o passwd.lo: passwd.c ../config.h ../lib/rcsid.h \
	../lib/prototypes.h ../lib/faillog.h ../lib/defines.h \
	../lib/pwauth.h ../lib/shadowio.h ../lib/pwio.h ../lib/getdef.h \
	../../libsrp/t_pwd.h
su.o su.lo: su.c ../config.h ../lib/rcsid.h ../lib/prototypes.h \
	../lib/faillog.h ../lib/defines.h ../lib/pwauth.h \
	../lib/getdef.h
tconf.o tconf.lo: tconf.c ../../libsrp/t_pwd.h

info:
dvi:
check: all
	$(MAKE)
installcheck:
install-exec: install-binPROGRAMS install-exec-local
	@$(NORMAL_INSTALL)

install-data: install-usbinPROGRAMS
	@$(NORMAL_INSTALL)

install: install-exec install-data all
	@:

uninstall: uninstall-binPROGRAMS uninstall-usbinPROGRAMS

all: Makefile $(PROGRAMS)

install-strip:
	$(MAKE) INSTALL_PROGRAM='$(INSTALL_PROGRAM) -s' INSTALL_SCRIPT='$(INSTALL_PROGRAM)' install
installdirs:
	$(mkinstalldirs)  $(bindir) $(usbindir)


mostlyclean-generic:
	test -z "$(MOSTLYCLEANFILES)" || rm -f $(MOSTLYCLEANFILES)

clean-generic:
	test -z "$(CLEANFILES)" || rm -f $(CLEANFILES)

distclean-generic:
	rm -f Makefile $(DISTCLEANFILES)
	rm -f config.cache config.log stamp-h stamp-h[0-9]*
	test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)

maintainer-clean-generic:
	test -z "$(MAINTAINERCLEANFILES)" || rm -f $(MAINTAINERCLEANFILES)
	test -z "$(BUILT_SOURCES)" || rm -f $(BUILT_SOURCES)
mostlyclean:  mostlyclean-binPROGRAMS mostlyclean-noinstPROGRAMS \
		mostlyclean-usbinPROGRAMS mostlyclean-compile \
		mostlyclean-tags mostlyclean-generic

clean:  clean-binPROGRAMS clean-noinstPROGRAMS clean-usbinPROGRAMS \
		clean-compile clean-tags clean-generic mostlyclean

distclean:  distclean-binPROGRAMS distclean-noinstPROGRAMS \
		distclean-usbinPROGRAMS distclean-compile \
		distclean-tags distclean-generic clean
	rm -f config.status

maintainer-clean:  maintainer-clean-binPROGRAMS \
		maintainer-clean-noinstPROGRAMS \
		maintainer-clean-usbinPROGRAMS maintainer-clean-compile \
		maintainer-clean-tags maintainer-clean-generic \
		distclean
	@echo "This command is intended for maintainers to use;"
	@echo "it deletes files that may require special tools to rebuild."

.PHONY: default mostlyclean-binPROGRAMS distclean-binPROGRAMS \
clean-binPROGRAMS maintainer-clean-binPROGRAMS uninstall-binPROGRAMS \
install-binPROGRAMS mostlyclean-noinstPROGRAMS distclean-noinstPROGRAMS \
clean-noinstPROGRAMS maintainer-clean-noinstPROGRAMS \
mostlyclean-usbinPROGRAMS distclean-usbinPROGRAMS clean-usbinPROGRAMS \
maintainer-clean-usbinPROGRAMS uninstall-usbinPROGRAMS \
install-usbinPROGRAMS mostlyclean-compile distclean-compile \
clean-compile maintainer-clean-compile tags mostlyclean-tags \
distclean-tags clean-tags maintainer-clean-tags distdir info dvi \
installcheck install-exec install-data install uninstall all \
installdirs mostlyclean-generic distclean-generic clean-generic \
maintainer-clean-generic clean mostlyclean distclean maintainer-clean


install-exec-local:
	$(mkinstalldirs) $(bindir)
	for i in $(suidbins); do \
	  $(INSTALL) -m 4755 $$i $(bindir); \
	done
	$(mkinstalldirs) $(ubindir)
	for i in $(suidubins); do \
	  $(INSTALL) -m 4755 $$i $(ubindir); \
	done

# Tell versions [3.59,3.63) of GNU make to not export all variables.
# Otherwise a system limit (for SysV at least) may be exceeded.
.NOEXPORT:
